<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<style>
table {
  border-collapse: collapse;
}
.col_name {width:200px;}
.col_data {width:400px;}
form {display: inline;}
</style>
</head>
<body>
<h1>掲示板登録</h1>


<form  method="post" th:action="@{/create}" th:object="${bbs}">


<input type="hidden" name="id" th:value="*{id}">
<table border="1">
  <tr>
      <th class="col_name">タイトル</th>
      <td class="col_data">
        <input type="text" name="title" th:value="*{title}" size="40"
          maxlength= "40" />
          <div th:if="${#fields.hasErrors('title')}" 
              th:errors="*{title}" th:errorclass="err" ></div>
      </td>
  </tr>
  <tr>
      <th>内容</th>
      <td>
        <input type="text" name="content" th:value="*{content}" 
          row="10"  cols="60"/>
          <div th:if="${#fields.hasErrors('content')}" 
             th:errors="*{content}" th:errorclass="err" ></div>
      </td>
  </tr>
  <tr>
      <th>投稿者</th>
      <td>
        <input type="text" name="createUser" th:value="*{createUser}" size="15"
           maxlength= "15" />
      </td>
  </tr>
  
  <tr>
        <th>分類</th>
        <td><select id="division" name="division">
              <option value="0"></option>
              <option th:each="list: ${lists}" th:value="${list.id}"
              th:text="${list.name}" th:field="*{division}">pulldown
              </option>
            </select>
        </td>
    </tr>
</table>
<hr>
<input type="submit" value="登　録" />
</form>
<form action="/">
    <input type="submit" value="戻　る" />
</form>
</body>
</html>